import { axios } from '@/utils/request'
// 流程列表
export function gerWrokflowList(params) {
  return axios({
    url: `/example/workFlow/example/list`,
    method: 'get',
    params,
    loadingLoader: 'gerWrokflowList'
  })
}
// 流程详情
export function gerWrokflowInfo(id) {
  return axios({
    url: `/example/workFlow/example/${id}`,
    method: 'get',
    loadingLoader: 'gerWrokflowInfo'
  })
}
// 新增|编辑 流程
export function saveWorkflow(data, id = '') {
  return axios({
    url: `/example/workFlow/example`,
    method: data.id ? 'put' : 'post',
    data,
    loadingLoader: 'saveWorkflow' + id
  })
}

// 删除流程
export function delWorkflow(data) {
  return axios({
    url: `/example/workFlow/example`,
    method: 'delete',
    data,
    loadingLoader: 'delWorkflow' + data[0]
  })
}
