export default {
  data() {
    return {
      tabListNoTitle: [
        {
          key: 'approvalList',
          tab: '申请情况'
        },
        {
          key: 'infoList',
          tab: '历史列表信息'
        }
      ],
      tabKey: 'approvalList'
    }
  },
  computed: {
    isApprovalList() {
      return this.tabKey === 'approvalList'
    }
  },
  created() {
    this.$tabChange('approvalList')
  },
  methods: {
    $tabChange(key) {
      this.tabKey = key
      if (key === 'infoList') {
        this.listType = -9
        console.log(this.listType)
      } else {
        this.listType = 1
      }
      this.$nextTick(() => {
        this.$refs.table.refresh()
      })
    }
  }
}
