const getters = {
  isMobile: state => state.app.isMobile,
  lang: state => state.app.lang,
  theme: state => state.app.theme,
  color: state => state.app.color,
  appInfo: state => state.app.appInfo,
  routerBase: state => state.app.routerBase,
  token: state => state.user.token,
  avatar: state => state.user.avatar,
  nickname: state => state.user.name,
  welcome: state => state.user.welcome,
  roles: state => state.user.roles,
  userInfo: state => state.user.info,
  addRouters: state => state.permission.addRouters,
  multiTab: state => state.app.multiTab,
  buttons: state => state.user.buttons,
  userId: state => state.user.userId,
  userName: state => state.user.userName,
  personalInfo: state => state.user.personalInfo
}

export default getters
