## 高级搜索

### 使用方法

```vue
<template>
  <SearchPage mapKey="" @ok="onOk"/>
  <s-table ref="table"></s-table>
</template>
<script>
  export default {
    data() {
      return {
        conditions: {
          conditions: []
        },
        loadData(paramer) {
          // 传高级搜索条件到最外层，原本get请求改为post
          return request(Object.assign(paramer, this.conditions))
        }
      }
    },
    methods: {
      onOk(conditions) {
        // 取消高级搜索会传空
        this.conditions = conditions
        this.$refs.table.refresh(true)
      }
    }
  }
</script>
```

mapKey对应`@\components\AdvanceSearch\constant.js`中的`advanceSearchUrlMap`定义url字典，所有模块都要在这里注册，对应url从后端获取


例子见优秀奖学金模块
