
# 部署打包
- 部署之前需要修改一些内部的参数,请将`package.json`的`name`字段值和部署相关的数据处理成一致的,全局替换`one-stop-temp`为你的`package.json`的`name`字段值
- 部署相关的文件有`package.json`、`Dockerfile`、`nginx.conf`、`makefile.sh`、`password.txt`、`vue.config.js`、`.env` 
- 测试地址需要部署完成之后，内网可以直接访问，在有登录页面的情况下，可以直接登录访问，但是就是访问地址需要加上一个前缀`/[package.json].name/` 这样可以正常访问到对应的资源，因为这个之后需要通过统一的端口提供出去
- 本地需要安装 `docker` 环境
- 修改 `docker` 的`Docker daemon configuration file`配置文件，在 `insecure-registries` 中新增一项 `harbor-fz-yfzx.bywin.cn:13029`
- 配置 hosts `112.5.142.51 harbor-fz-yfzx.bywin.cn`
- 配置自己的 `harbor` 的账号到 `makefile.sh` 中的 `harbor_user` 变量
- 配置自己的 `harbor` 的账号密码到 `password.txt` 中
- 执行`sh makefile.sh`来进行打包和镜像推送，具体的打包可以根据自己的实际需求来修改`makefile.sh`和`Dockerfile`,目前的配置是在 docker 中进行打包，可以在本地打包后使用 docker 直接打镜像》》[参考文档](http://112.5.142.51:32416/Base/dev_build.html#%E5%89%8D%E7%AB%AF-2)
- 关于 k8s 的部署，按照正常流程部署即可，镜像使用前面推送到仓库的那个镜像，镜像端口可以根据`Dockerfile`的配置调整，详细配置流程[在这里](http://112.5.142.51:32416/Base/dev_build.html#k8s%E9%83%A8%E7%BD%B2%E5%89%8D%E7%AB%AF)

